Description

Supportanfrage

Hallo,

zur Weitergabe an die Entwickler (Windows/Debug Version)

1)  Probleme mit exportieren von Ausgaben im "Console Log" Service:
a. Wahlt man im Context Meni vom "Console Log" Service "Copy Selected Line" fihrt das zum Absturz des Launchers ohne

weitere Meldung.

b.  Wahlt man "Export" dann kann bekommt man nach Auswahl des Filenamen folgendes pop up. Das File wird angelegt und hat

die GroBe 0.

# Error message

|®I File 'D:/TMP/leg.csv' could not be opened!

2) Offenbar ist es nicht mdglich einen Output Pin mit mehreren Sample Streams zu verbinden. Falls das das gewiinschte Verhalten
ist sollte das dokumentiert und die Doku entsprechend erweitert werden, falls das funktionieren sollte, muss man da was tun.

Vergleiche folgenden Streaming Graph (pic)
ADTF Host Only Sink
host_only_sink.streaming_services .adif.cid

PO =3

Sample Streéjlﬂﬁmlmm

ADTF Random CAN Data Streaming Source
random_can_generator.demo.adif.cid

output_ca

inportl

inport1 |

[SomeReceiver]

Filter Graph Dock

Beim Wechsel rl 4 gibt es folgenden Fehler (Screen shot da Export nicht méglich ...)

201711-0317:1041  Willincrease runlevel to "RL_FilterGraph” runtime.cpp(636)
2017-11-03 17:1041 Runner connecting: Random_CAN_Generstor.ADTF Random CAN Data Streaming Source.output_can -> Random_CAN_Generatorinportl triggerpipe.h(119)
8 2017-11-0317:10:41 runlevel "RL_FilterGraph” could not be reached! try to fall back to last stable runlevel "RL_StreamingGraph” runtime.cpp(664)
201711-0317:1041  Will decrease runlevel to "RL_StreamingGraph” runtime.cppi838)
2017-11-03 17:10:41 Runner connecting: Random_CAN_Generator. ADTF Random CAN Data Streaming Source.output_can -> Random_CAN_Generator.inportl triggerpipe.hi119)
) 2017110317:10:41  fall back to runlevel "RL_StreamingGraph” succeeded! Return with error anyway! runtime.cpp(680)

£ 2017-11-03171041  Result code 15 '(ERR_RESOURCE_IN_USE) - Can not connect ADTF Random CAN Data Streaming Source.output_can with Sample Stream. - Pin ‘output_can’ will disconnect and reconnect to another stream [File: c/\jenkins\ws\adtf3_builder\platform\vm-w... rpc_object_registry.cpp(85)

3) Vorschlag zur Verbesserung (falls es dabei bleibt dass man einen Pin nur einmal verbinden kann): Da man aktuell einen Output
Pin nicht mit mehreren Sample Streams verbinden kann und im Streaming Graph einen Sample Stream der im Filter Graph Dock
steckt (auf der inport seite) nicht mit einer Sink verbinden kann, gibt es aktuell keine Méglichkeit den Ausgabe Stream einer Source
gleichzeitig an den Filtergraph und an eine Streaming Sink weiterzugeben. Das scheint mir eine recht natiirliche Anwendung zu sein
und sollte daher ermoglicht werden.

4) Vorschlag zur Verbesserung: In den Examples fehlt ein Beispiel zu einer cSampleStreamingSink die tber den Input Pin getriggert
wird (ohne Legacy). Ist nicht direkt offensichtlich, wie das vorzugsweise zu realisieren ware. In der Demo SDL Sample Stream Sink
wird das Auslesen des neuesten Samples im Paint Thread gemacht, das taugt nicht als Beispiel, wenn man wirklich alle Samples
rausschicken will und zwar nur wenn auch ein Sample anliegt.

5) Typo in der Doku
file:///C:/ADTF/3.1.0/doc/adtf_html/classadtf_1_1streaming_1_1ant_1_1c_sample_streaming_sink.html<file://C\ADTF\3.1.0\doc\adtf
_htmi\classadtf_1_1streaming_1_1ant_1_1c_sample_streaming_sink.html> : "transission callbacks". Derselbe typo auch im Header
streaming_source.h mehrfach.

Laut Doku "Use the provided transission callbacks to override the behaviour but do not forget to call the base type implementation."
Eigentlich wie man es von ADTF 2 kennt. Aber in diesem Fall erscheint der Call der Base Funktion total GberflUssig, da die jeweils
leer sind. Wird da noch was eingebaut?

6.) Copy & Paste Fehler in runtime_behaviour.h Zeile 79: Die Doku zum return- Wert wurde vermutlich von der Register Funktion

kopiert.

* *

* Unregisters a Runner.
*

* @param pRunner [in] The object reference to the Runner which will be unregistered.
*

* @return Standard Result Code

* @retval ERR_INVALID_ARG A Runner with the same name is already registered.
=/

virtual tResult UnregisterRunner (const ucom::ant::iobject_ptr<IRunner>& pRunner) ;

Gruss,
Jochen

Lésung

zu 1) habe ich das Bug Ticket https://www.cip.audi.de/jira/browse/ACORE-9229 angelegt.

zu 2&3) Das Verhalten so gewollt. Die Daten missen Uiber einen Sample Stream laufen und erst danach aufgeteilt werden. Siehe
Kommentar #1342#note-8

zu 5&6) Werden in das allgemeine Doku Ticket bernommen.

History

#1-2017-11-06 14:02 - hidden

- Project changed from Public Support to 7

- Subject changed from RE: ADTFS-47974 ADTF 3.1 Bugs/Improvment Suggestions to ADTFS-47974 ADTF 3.1 Bugs/Improvment Suggestions
- Description updated

- Status changed from New to In Progress

- Support Level changed from 2nd Level to 3rd Level

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 3.1.0 added

- Platform Windows 7 64bit added

#3 - 2017-11-10 16:35 - hidden

- Description updated

- Status changed from In Progress to Customer Feedback Required
- Topic set to ADTF::Common

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9229

Hallo Jochen,

zu 1) habe ich das Bug Ticket https://www.cip.audi.de/jira/browse/ACORE-9229 angelegt.

zu 2&3) Soweit ich weil3 ist das Verhalten so gewollt. Die Daten missen deshalb vom Streaming Graph Uber den Filter Graph mit einem Streaming
Outport zurtickgegeben werden.

zu 4) Habt ihr dazu ein Beispiel?

zu 5) Ich weif3 nicht ob an dieser Stelle noch etwas verandert wird.

zu 5&6) Werden in das allgemeine Doku Ticket ibernommen.

Bitte um Feedback.

#4 - 2017-11-10 16:47 - hidden

@Matthias, bitte tbernehmen.

#5 - 2017-11-14 08:45 - hidden

Hi Stephan & Mathias,

@2) Wenn das so gewollt ist, dann bitte das auch dokumentieren. Kann das in das Dokumentationsticket aufgenommen werden?

@3) Scheint mir sehr unschdn, wenn das nicht geht. Es ist doch eine recht natiirliche Anwendung wenn man z.B. die Originaldaten und die
Ergebnisse der Berechnung im Fahrzeug .adtfdat File gleichzeitig aufzeichnen méchte. Falls dazu als Workaround Gber den Filtergraph gegangen
werden muss, braucht man im Filtergraph noch ein Forwarding Filter. Der sollte dann zumindest noch entwickelt werden und Teil von ADTF 3

werden.

GruBe,
https://www.cip.audi.de/jira/browse/ACORE-9229
https://support.digitalwerk.net/issues/1342#note-8
https://www.cip.audi.de/jira/browse/ACORE-9229

Jochen

#6 - 2017-11-15 10:49 - hidden

- Status changed from Customer Feedback Required to In Progress

#8 - 2017-11-16 15:08 - hidden
- File connections.PNG added
- Description updated

- Status changed from In Progress to Customer Feedback Required

Hallo Jochen,

zu 1) Habe ich so im Doku Ticket vermerkt. Es gibt in der Doku eine Tabelle fir Connections, leider aber nur fur den Filter Graph. So eine wird auch
fur den Streaming Graph benétigt.

zu 2)

Wie du im folgenden Screenshot sehen kannst, darf die Connection erst ab dem Sample Stream in z.B. die Host-Only-Sink und den Filter Graphen
laufen.

Also nicht direkt zwei Verbindungen aus dem CAN Generator.

connections.PNG
zu 4) Habt ihr dazu ein Beispiel?

#9 - 2017-11-23 10:05 - hidden

Zeitraum fur Feedback bis zum 24.11.2017 erhoht.

#10 - 2017-11-24 17:02 - hidden

@Matthias, bitte Ticket Montag den 27.11.2017 schlie3en.

#11 - 2017-11-28 09:45 - hidden

- Status changed from Customer Feedback Required to To Be Closed

Kein weiteres Feedback.
Ticket kann geschlossen werden.

#12 - 2017-11-29 08:45 - hidden
Hi Matthias & Florian

Hab es doch noch geschafft das heute durchzuprobieren. (War langer unterwegs, deshalb jetzt erst Feedback. Danke fiirs warten!)

2 & 3) Das hatte ich nun wirklich nicht erwartet, dass man Sample Streams einfach hintereinander hédngen kann. Sollte evtl. auch dokumentiert
werden. Aber funktioniert dann ja damit.

Zum Punkt 4) (Demosink mit Trigger). Ich hab mich etwas durch die Implementierung der Legacy Streaming Sink gekaut und da sieht es so aus, als
ob man noch etwas tun muss, was wohl nicht fir den End-User gedacht ist. (trigger_runable und cTriggerPipeltemHelper). Fir mich sieht es daher so
aus, als ob da noch etwas fehlt (im Nicht-Legacy-Teil). Wirde ungern ein Trigger-Sink-Demo sehen, bei dem man diese Klassen selbst deklarieren
muss. Aber vielleicht Ubersehe ich da auch etwas, das interne Handling des Triggerings ist mir noch etwas unklar. Bei der Filter Erstellung ist das
weitgehend in Macros versteckt ... vielleicht wollt ihr ja was Ahnliches bei der Sink machen? Deshalb mein Vorschlag, dass ihr so eine Demo macht,
vielleicht fallt das dann auf, wenn noch etwas fehlt ... Hab auch hier intern rumgefragt. Aber eine getriggerte Nicht-Legacy-Sink hat wohl noch
niemand gemacht.

Best regards - Beste Grii3e

Jochen Messner
EB Assist ADTF Support-Team

#13 - 2017-11-29 09:46 - hidden
- Status changed from To Be Closed to In Progress
@Matthias:
e Bitte zu 2)3) ein Doku Ticket machen, diese Info muss in die Doku.

¢ Bitte zu 4) ein weiteres Ticket erstellen, in dem ein entsprechendes Example umgesetzt werden soll. Dabei soll auch beachtet werden, ob
weitere Makro/Template Mechanismen sinnvoll bzw. notwendig sind
Wenn die Tickets erstellt und verlinkt sind, ist dieses Supportticket abgeschlossen.

#14 - 2017-11-29 14:27 - hidden
- Status changed from In Progress to To Be Closed

- Product Issue Numbers changed from https://www.cip.audi.de/jira/browse/ACORE-9229 to https://www.cip.audi.de/jira/browse/ACORE-9229 ;
https.://www.cip.audi.de/jira/browse/ACORE-9253 ; https.//www.cip.audi.de/jira/browse/ACORE-9254

Produktickets angelegt und verlinkt:
ACORE-9253 fur Punkt 2&3
https://www.cip.audi.de/jira/browse/ACORE-92
ACORE-9254 fur Punkt 4
https://www.cip.audi.de/jira/browse/ACORE-9254

#15 - 2017-11-29 14:39 - hidden
- Status changed from To Be Closed to Closed

#16 - 2018-01-25 12:02 - hidden
- Project changed from 7 to Public Support

- Private changed from Yes to No
